For the complete documentation index, see llms.txt. This page is also available as Markdown.

Verification status of UA→World

Get Verification status of UA→World shipments

get
/shipments/international/status

Returns verification statuses for international shipments for the UA→World direction (“international shipment from Ukraine to World”). Responses and errors from the core system are proxied unchanged.

Authorizations
AuthorizationstringRequired

Authorization JWT-token with a lifetime of 1 hour in header

Query parameters
refs[]string[]Required

Array of shipment references. Must not be empty. Pass as repeated query parameters. Raw query example:
refs[]=38e4fe97-9484-11f0-903f-005056bd9e02'

statestring · enumRequired

Verification state filter. Allowed values are Order Closed allOrders.

Possible values:
Responses
200

Verification status list

application/json
jsonrpcstringOptional
idone ofOptional
stringOptional
or
integerOptional
get/shipments/international/status
GET /v.1.0/shipments/international/status?refs[]=text&state=Order HTTP/1.1
Host: api-stage.novapost.com/
Authorization: YOUR_API_KEY
Accept: */*
{
  "jsonrpc": "2.0",
  "result": [
    {
      "Ref": "38e4fe97-9484-11f0-903f-005056bd9e02",
      "State": "NotVerified",
      "Date": "2025-09-18 14:45:31",
      "StatusOfInternationalExpressWaybill": "Відсутні скан-копії документів",
      "Note": "test comment",
      "ClosedDate": "0001-01-01 00:00:00"
    }
  ],
  "id": "1"
}

Last updated